// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2010                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// -----------------------------------------------------------------
// FVIL Sample Program
// rfIݒt@CI_CAO
//
// 쐬 : N.Moriguchi
//
//  : 2010/09/28 
//
// -----------------------------------------------------------------
namespace Line_Hough_Sample
{
    public partial class Form_BROWSEINI : Form
    {

        public string strIniFilePath;
        public bool UseFileFlg = false;

        public Form_BROWSEINI()
        {
            InitializeComponent();
        }

        /// <summary>
        /// OK{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// 摜擾@擾B
        /// </remarks>
        private void ButtonOK_Click(object sender, EventArgs e)
        {
            //init@C̃pX擾
            strIniFilePath = TextBoxPath.Text;

            if ((strIniFilePath.Length > 0) || (checkBoxUseFile.Checked == true))
            {
                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            else
            {
                //G[
                MessageBox.Show(String.Format("Jݒt@CIĂB"), "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        /// <summary>
        /// Qƃ{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// init@C̑IB
        /// </remarks>
        private void ButtonBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "init@C(*.ini;)|*.ini;";
            openFileDialog1.DefaultExt = "*.INI";
            openFileDialog1.ShowDialog();

            if ((openFileDialog1.FileNames.Length > 0))
            {
                //init@C擾
                TextBoxPath.Text = openFileDialog1.FileName;
            }

        }

        /// <summary>
        /// t@Cgp`FbN{bNX
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// t@Cgp̑IB
        /// </remarks>
        private void checkBoxUseFile_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBoxUseFile.Checked == true)
            {
                UseFileFlg = true;
                ButtonBrowse.Enabled = false;
            }
            else
            {
                UseFileFlg = false;
                ButtonBrowse.Enabled = true;
            }
        }
    }

}